Can't Upgrade past 3.0 ??

Discussion in 'iPod touch' started by ezilagel, Sep 17, 2010.

  1. ezilagel

    ezilagel New Member

    Joined:
    Sep 17, 2010
    Messages:
    2
    Likes Received:
    0
    Very strange problem...

    I'm not new to jailbreaking... however..

    I cannot upgrade my Ipod 2G touch past 3.0 Itunes says its capable of 4.x.
    I've tried everyone OS between 3.0 -4.1 and the only one that doesn't crash upon boot is 3.0..

    Any idea?
  2. austinmartin

    austinmartin New Member

    Joined:
    Sep 1, 2010
    Messages:
    56
    Likes Received:
    0
    Device:
    3G iPod touch
    have you updated itunes lately?
  3. Bleh

    Bleh New Member

    Joined:
    Sep 15, 2010
    Messages:
    6
    Likes Received:
    0
  4. ezilagel

    ezilagel New Member

    Joined:
    Sep 17, 2010
    Messages:
    2
    Likes Received:
    0
    Unfortunately, this has nothing to do with iTunes. And yes, I have updated it. I can't help but think something in cydia I downloaded completely messed up my iPod. This model is fully capable of the update. iTunes reads the serial number correctly and suggests the latest 4.x update. It installs... then fails. Almost as if the kernel fails upon boot. I've tried starting at 3.0 installing in DFS mode.. Then upgrading.. same thing. I've tried every combination I can think of. Has anyone heard of anything like this? It simply will not go past 3.0.

    And to emphasize it again, this is a fully capable IOS 4.x iPod.

Share This Page